Skip to main content
GET
ListPrincipalAttributeKeys

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of principal attribute keys to return. The service may return fewer than this value. If unspecified, at most 50 principal attribute keys will be returned. The maximum value is 1000. Values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListPrincipalAttributeKeys call. Provide this to retrieve a subsequent page of principal attribute keys. When paginating, all other parameters provided to ListPrincipalAttributeKeys must match the previous call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: 'principal_attribute_key_id', 'display_name', 'value_type', 'created_by_user_id', 'created_date', 'modified_by_user_id, 'modified_date' For further information about how to use CELs, please refer to this guide. For more information about the fields used for filtering, please refer to this definition. Optional.

orderBy
string

How to order the retrieved principal attribute keys. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date, 'modified_date', 'display_name', 'principal_attribute_key_id', 'value_type', 'description' If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

organizationId
string
includeArchived
boolean

If true, includes archived keys. Defaulta to false. Optional.

Response

A successful response.

ListPrincipalAttributeKeysResponse returns the list of principal attribute keys from a ListPrincipalAttributeKeys call.

principalAttributeKeys
object[]
required
nextPageToken
string